package com.huatek.frame.base.service;

import java.util.List;
import java.util.Map;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.UserDTO;
import com.huatek.frame.base.entity.User;
import com.huatek.frame.base.entity.UserRole;
import com.huatek.frame.base.vo.UserVO;

/**
 * 系统_用户 Service
 *
 * @author key_dong
 * @date 2018-7-11 14:03:46
 */
public interface UserService {

	/**
	 * 分页查找查找 系统_用户
	 * @param dto
	 *            系统_用户dto
	 * @return map map
	 */
	Map<String, Object> findUserPage( UserDTO dto);

	/**
	 * 添加 系统_用户
	 * 
	 * @param user
	 *            系统_用户user
	 * @return map map
	 */
	Map<String, Object> addUser(User user);

	/**
	 * 通过id查找 系统_用户
	 *
	 * @param id
	 *            主键
	 * @return map map
	 */
	Map<String, Object> findUser(String id);

	/**
	 * 修改 系统_用户
	 * 
	 * @param user
	 *            系统_用户user
	 * @return map map
	 */
	Map<String, Object> modifyUser(User user);

	/**
	 * 删除 系统_用户
	 * 
	 * @param ids 主键集合  
	 * @return map map
	 */
	 Map<String, Object> deleteUser(String[] ids);

	/**
	 * 更新用户角色关系
	 * 
	 * @param uid
	 * @param rids
	 * @return
	 */
	Map<String, Object> updateUserRole(String uid, String[] rids);
	
	/**
	 * 获取全部正常用户
	 * @return
	 */
	List<User> findUsers();
	
	/**
	 * 获取用户角色集合
	 * @return
	 */
	List<UserRole> findUserRoles();	

	/**
	 * 根据角色获取全部用户
	 * @return
	 */
	Page<UserVO> getUserByRoleId(String roleId,int page,int limit);

	/**
	 * 添加 系统_用户
	 * 
	 * @param user
	 *            系统_用户user
	 * @return map map
	 */
	Map<String, Object> addRemoteUser(User user);
}
